### Method

# Gtk SearchBar connect_entry

#### Declaration [src]

    void
    gtk_search_bar_connect_entry (
      GtkSearchBar* bar,
      GtkEditable* entry
    )

#### Description [src]

Connects the `GtkEditable` widget passed as the one to be used in this search bar.

The entry should be a descendant of the search bar. Calling this function manually is only required if the entry isn’t the direct child of the search bar (as in our main example).

#### Parameters

`entry`

  Type: `GtkEditable`

  A `GtkEditable`

  The data is owned by the caller of the method.